<?php
	include '../../../wp-blog-header.php';
	include_once(dirname(__FILE__).'/models/megaticker_model.php');

	$campaigns = Megaticker_model::getCampaigns();
?>
<!DOCTYPE html>
<html>
<head>
	<title><?=__('Ticker Popup', 'megaticker')?></title>
	<script type="text/javascript" src="js/tiny_mce_popup.js"></script>
	<link rel="stylesheet" href="css/popup.megaticker.css" />
</head>
<body>
<form>
	
		<div>
			<ul class="campaigns">
				<?php
				$i = 0;
				foreach($campaigns as $c)
				{
					$i++;
					switch($c['splash_type'])
					{
						case 'image':
							?>
							<li>
								<a class="add" href="#" onclick="javascript:tinyMCEPopup.execCommand('mceInsertContent', false, '[MegaTickerShortcode id=<?=$c['id']?>]');tinyMCEPopup.close();return false;">
									<img src="img/image.png"/>
									<?=$c['name']?>
								</a>
							</li>
							<?php
						break;
						
						case 'youtube':
							?>
							<li>
								<a class="add" href="#" onclick="javascript:tinyMCEPopup.execCommand('mceInsertContent', false, '[MegaTickerShortcode id=<?=$c['id']?>]');tinyMCEPopup.close();return false;">
									<img src="img/movie.png"/>
									<?=$c['name']?>
								</a>
							</li>
							<?php
						break;
						
						default:
							?>
							<li>
								<a class="add" href="#" onclick="javascript:tinyMCEPopup.execCommand('mceInsertContent', false, '[MegaTickerShortcode id=<?=$c['id']?>]');tinyMCEPopup.close();return false;">
									<img src="img/link.png"/>
									<?=$c['name']?>
								</a>
							</li>
							<?php
						break;
					}
					
					if ($i == 4)
					{
						$i = 1;
						?>
							<div class="clear"></div>
						<?php
					}
					
				} ?>
			</ul>
		</div>
		<div class="clear"></div>
    
		<div id="clear" class="buttonclear"></div>
		
        <div id="tinysubmit" style="float: right">	
			<input type="button" id="cancel" name="cancel" value="{#close}" onclick="tinyMCEPopup.close();" />
		</div>
    </form>
</body>
</html>