<?php if (!defined('WPINC')) die(); ?>

<div class="wrap ticker <?=(get_option('megaticker__activation_code') ? 'registered' : 'unregistered')?>">
        
	<div id="icon-campaigns" class="icon32"></div>
	<h2>
		<?=$id   ? __('Edit Campaign', 'megaticker') : __('Add Campaign', 'megaticker')?> <?=$name?>
	</h2>
	<?=$notify->getMessages()?>
	<div class="campaigns">
		<form class="ticker-content ticker-bl validateThisForm" method="post">
			
			<input type="hidden" name="id" value="<?=$id?>" />
			<input type="hidden" name="action" value="save_campaign" />
			<?php wp_nonce_field( 'save_campaign', 'ticker' ) ?> 
			
			<div class="accordion">

				<h3><a href="#tab-info" title="<?=__('Info','megaticker')?>"><?=__('Info','megaticker')?></a></h3>
				<div>
					<div class="p">
						<label class="label"><?=__('Name of the campaign', 'megaticker')?>*</label>
						<div class="inputs">
							<input type="text" name="name" value="<?=$name?>"  required="required"/>
						</div>
						<div class="clear"></div>
					</div>
				</div>

				<h3><a href="#tab-time"><?=__('Time','megaticker')?></a></h3>
				<div>
					<div class="p">
						<label class="label"><?=__('Expire after', 'megaticker')?>*</label>
						<div class="inputs">
							<div>
								<label>
									<input <?=($campaign_type=='global' ?' checked="checked" ':'')?> type="radio" name="campaign_type" id="global" value="global" required="required" />
									<?=__('Global', 'megaticker')?>
								</label>
							</div>
							
							<div class="hidden timepicker_container">
								<div class="timepicker">
									<input type="text" name="expire_time_days" class="small" value="<?=$expire_time['days']?>" /> <?=__('days','megaticker')?>
									<input type="text" name="expire_time_hours" class="small" value="<?=$expire_time['hours']?>" /> <?=__('hours','megaticker')?>
									<input type="text" name="expire_time_minutes" class="small" value="<?=$expire_time['minutes']?>" /> <?=__('minutes','megaticker')?>
									<input type="text" name="expire_time_seconds" class="small" value="<?=$expire_time['seconds']?>" /> <?=__('seconds','megaticker')?>
								</div>
								<div class="clear"></div>
							</div>
							
							
							<div>
								<label>
									<input <?=($campaign_type=='individual' ?' checked="checked" ':'')?> type="radio" name="campaign_type" id="individual" value="individual"  required="required"/>
									<?=__('Individual', 'megaticker')?>
								</label>
							</div>
							
							<div class="hidden timepicker_period_container">
								<div class="timepicker_period">
									<input type="text" name="expire_period_days" class="small" value="<?=$expire_period['days']?>" /> <?=__('days','megaticker')?>
									<input type="text" name="expire_period_hours" class="small" value="<?=$expire_period['hours']?>" /> <?=__('hours','megaticker')?>
									<input type="text" name="expire_period_minutes" class="small" value="<?=$expire_period['minutes']?>" /> <?=__('minutes','megaticker')?>
									<input type="text" name="expire_period_seconds" class="small" value="<?=$expire_period['seconds']?>" /> <?=__('seconds','megaticker')?>
								</div>
								<div class="clear"></div>
							</div>
							
							
							<div class="MegaTickerPROOption">
								<label>
									<input <?=($campaign_type=='first_visit_only' ?' checked="checked" ':'')?> type="radio" name="campaign_type" id="first_visit_only" value="first_visit_only" required="required" />
									<?=__('First Visit Only', 'megaticker')?>
								</label>
							</div>

							
							<!--<div>
								<label><?=__('Timezone','megaticker')?>*</label>
								<select name="timezone" class="combobox" required="required">
									<?php foreach($timezones_list as $tz) { ?>
										<option <?=($timezone==$tz ?' selected="selected" ':'')?> value="<?=$tz?>"><?=$tz?></option>
									<?php } ?>
								</select>
							</div>-->

						</div>
						<div class="clear"></div>
					</div>
				</div>
				

				<h3><a href="#"><?=__('Redirecting','megaticker')?></a></h3>
				<div>
					
					
					
					<div class="p">
						<label class="label"><?=__('Redirect URL', 'megaticker')?>*</label>
						<div class="inputs">
							<input type="text" name="redirect_url" value="<?=$redirect_url?>"  required="required"/>
						</div>
						<div class="clear"></div>
					</div>
			
			
					<div class="p event_on_finish_control">
						<label class="label"><?=__('Event on countdown finish', 'megaticker')?>*</label>
						
						<div class="inputs">
							<div>
								<label>
									<input <?=($event_on_finish=='redirect' ?' checked="" ':'')?> type="radio" id="event_on_finish_redirect" name="event_on_finish" value="redirect" required="required" />
									<?=__('Redirect automatically', 'megaticker')?>
								</label>
							</div>
							
							<div class="MegaTickerPROOption">
								<label>
									<input <?=($event_on_finish=='splash' ?' checked="" ':'')?> type="radio" id="event_on_finish_splash" name="event_on_finish" value="splash" required="required" />
									<?=__('Show splashscreen', 'megaticker')?>
								</label>
							</div>
							
							<div class="MegaTickerPROOption">
								<label>
									<input <?=($event_on_finish=='splash_and_redirect' ?' checked="" ':'')?> type="radio" id="event_on_finish_splash_and_redirect" name="event_on_finish" value="splash_and_redirect" required="required" />
									<?=__('Show splashscreen and redirect', 'megaticker')?>
								</label>
							</div>
							
						</div>
						<div class="clear"></div>
					</div>
			
			
					<div class="p redirect_timeout_control">
						<label class="label">
							<?=__('Redirect timeout', 'megaticker')?>
						</label>
						<div class="inputs">
							<input type="text" name="redirect_timeout" value="<?=$redirect_timeout?>" />
						</div>
						<div class="clear"></div>
					</div>

				</div>

				<h3><a href="#"><?=__('Visual','megaticker')?></a></h3>
				<div class="visual_container">

					<div class="p splash_control">
						<label class="label">
							<?=__('Splashscreen', 'megaticker')?>
						</label>
						<div class="inputs MegaTickerPROOption">
							<select name="splash_id">
								<option value=""><?=__('None', 'megaticker')?></option>
								<?php
								if (MEGATICKER_EDITION == 'PRO') {
									foreach ($splashes_list as $key => $splash) {
										?>
										<option <?=$splash_id == $splash['id'] ? 'selected="selected"' : ''?> value="<?=$splash['id']?>"><?=$splash['name']?></option>
										<?php
									}
								} ?>
							</select>
						</div>
						<div class="clear"></div>
					</div>
					
			
					<div class="p">
						<label class="label">
							<?=__('Counter design', 'megaticker')?>
						</label>
						<div class="inputs MegaTickerPROOption">
							<?php
							if (count($counters_list))
							{
								?>
								<select name="counter_id">
									<option value=""><?=__('Default', 'megaticker')?></option>
									<?php
										if (MEGATICKER_EDITION == 'PRO') {
											foreach ($counters_list as $key => $counter) {
											?>
												<option <?=$counter_id == $counter['id'] ? 'selected="selected"' : ''?> value="<?=$counter['id']?>"><?=$counter['name']?></option>
											<?php
											}
										}
									?>
								</select>
								<?php
							}
							else
							{
								?><a target="_blank" href="<?=menu_page_url('megaticker/megaticker.php?setup_counter',false)?>">Add counter</a><?php
							} ?>
						</div>
						<div class="clear"></div>
					</div>

				</div>
				
			</div>


			
			<div class="p buttons">
				<button class="button-primary" type="submit"><?=__('Save', 'megaticker')?></button>
				<a class="button-secondary" href="<?=menu_page_url('megaticker/megaticker.php',false)?>"><?=__('Cancel', 'megaticker')?></a>
			</div>
			
		</form>
		
		<?php include_once(MEGATICKER_APPPATH.'/views/right_menu.php'); ?>
		
		<div class="clear"></div>
	</div>
	
</div>
