<?php if (!defined('WPINC')) die(); ?>

<div class="wrap ticker <?=(get_option('megaticker__activation_code') ? 'registered' : 'unregistered')?>">
        
	<div id="icon-campaigns" class="icon32"></div>
	<h2>
		<?= $id ? __('Edit splash', 'megaticker') : __('Add Splash', 'megaticker')?> <?=$name?>
	</h2>
	<?=$notify->getMessages()?>
	<div class="campaigns">
		
		<div class="ticker-content">
			<form class="ticker-bl splash_preview_form" method="post">
				
					<input type="hidden" name="id" value="<?=$id?>" />
					<input type="hidden" name="action" value="save_splash" />
					<?php wp_nonce_field( 'save_splash', 'ticker' ) ?> 
					
					<div class="accordion">
						
						<h3><a href="#"><?=__('Info','megaticker')?></a></h3>
						<div>
							<div class="p">
								<label class="label"><?=__('Splash name', 'megaticker')?></label>
								<div class="inputs">
									<input type="text" required="required" name="name" value="<?=$name?>"/>
								</div>
								<div class="clear"></div>
							</div>
						</div>
						
						<h3><a href="#"><?=__('Source','megaticker')?></a></h3>
						<div>
							<div class="p">
								<label class="label"><?=__('Splash type', 'megaticker')?></label>

								<div class="inputs">
									<div>
										<label>
											<input <?=( ($type=='image' or $type == '') ?' checked="checked" ':'')?> type="radio" name="type" value="image" required="required" />
											<?=__('Image', 'megaticker')?>
											<a href="#" class="splash_upload button-secondary"><?=__('Upload Image', 'megaticker')?></a>
										</label>
									</div>
									
									<div>
										<label>
											<input <?=($type=='webpage' ?' checked="checked" ':'')?> type="radio" name="type" value="webpage" required="required"/>
											<?=__('Web Page', 'megaticker')?>
										</label>
									</div>
									
									<div>
										<label>
											<input <?=($type=='youtube' ?' checked="checked" ':'')?> type="radio" name="type" value="youtube" required="required"/>
											<?=__('YouTube video', 'megaticker')?>
										</label>
									</div>
								</div>
								<div class="clear"></div>
							</div>
							
							<div class="p">
								<label class="label"><?=__('URL', 'megaticker')?></label>
								<div class="inputs">
									<img class="splash_image_url_favicon" data-src="http://www.google.com/s2/favicons?domain=" src="http://www.google.com/s2/favicons?domain=<?=parse_url($url,PHP_URL_HOST)?>" alt="" />
									<input type="text" name="url" class="splash_image_url" value="<?=$url?>" required="required" />
								</div>
								<div class="clear"></div>
							</div>
						</div>
						
						<h3><a href="#"><?=__('Visual','megaticker')?></a></h3>
						<div>
							<div class="p">
								<label class="label"><?=__('Width', 'megaticker')?></label>
								<div class="inputs">
									<input type="text" name="width" value="<?=$width?>" /> (px)
								</div>
								<div class="clear"></div>
							</div>
							
							<div class="p">
								<label class="label"><?=__('Height', 'megaticker')?></label>
								<div class="inputs">
									<input type="text" name="height" value="<?=$height?>" /> (px)
								</div>
								<div class="clear"></div>
							</div>
						</div>
					</div>
					
					<div class="p buttons">
						<button class="button-primary" type="submit"><?=__('Save', 'megaticker')?></button>
						<a class="button-secondary" href="<?=menu_page_url('megaticker/megaticker.php?splashes',false)?>">
							<?=__('Cancel', 'megaticker')?>
						</a>
					</div>
	
			</form>
			
			<div class="preview ticker-bl ticker-modal">
				<h3><?=__('Preview', 'megaticker')?>:</h3>
				<div id="simplemodal-container" class="simplemodal-container">
					<a title="<?=__('Close', 'megaticker')?>" class="modalCloseImg simplemodal-close"></a>
					<div tabindex="-1" class="simplemodal-wrap" style="height: 100%; outline: 0px none; width: 100%; overflow: auto;">
						<div id="basic-modal-content" class="simplemodal-data" style="display: block;">
							
						</div>
					</div>
				</div>
				
			</div>
			
		</div>
		
		<?php include_once(MEGATICKER_APPPATH.'/views/right_menu.php'); ?>
		
		<div class="clear"></div>
	</div>
	
</div>
