<?php if (!defined('WPINC')) die();


	function megaticker_admin_enqueue_scripts($s){
		global $megaticker_hooks;
		if (in_array($s, $megaticker_hooks)){
			megaticker_admin_register_head();
			megaticker_add_admin_js_files();
		}
		
			echo "
				<script type='text/javascript'>
					var MegaTickerLANG = [];
					MegaTickerLANG['Enter new name'] = '".__('Enter new name', 'megaticker')."';
					MegaTickerLANG['days'] = '".__('days', 'megaticker')."';
					MegaTickerLANG['hours'] = '".__('hours', 'megaticker')."';
					MegaTickerLANG['minutes'] = '".__('minutes', 'megaticker')."';
					MegaTickerLANG['seconds'] = '".__('seconds', 'megaticker')."';
					MegaTickerLANG['Add ticker'] = '".__('Add ticker', 'megaticker')."';
					var plugins_url = function(str){ return '".plugins_url()."/megaticker/'+str };
				</script>
			";
 	}

	function megaticker_admin_register_head()
	{
		//global $wp_styles;
		
		wp_enqueue_style('thickbox');
		wp_enqueue_style('jquery-ui', plugins_url('css/ui-ticker-theme/jquery-ui.css', __FILE__ ));
		wp_enqueue_style('jquery.countdown', plugins_url('css/jquery.countdown.css', __FILE__ ));
		wp_enqueue_style('themes.megaticker', plugins_url('css/themes.megaticker.css', __FILE__ ));
		wp_enqueue_style('jquery.simplemodal', plugins_url('css/jquery.simplemodal.css', __FILE__ ));
		wp_enqueue_style('jquery.colorpicker', plugins_url('css/jquery.farbtastic.css', __FILE__ ));
		wp_enqueue_style('jquery.jtimepicker', plugins_url('css/jquery.jtimepicker.css', __FILE__ ));
		wp_enqueue_style('jquery.bt', plugins_url('css/jquery.bt.css', __FILE__ ));
		wp_enqueue_style('admin.megaticker', plugins_url('css/admin.megaticker.css', __FILE__ ));
		
		/*$wp_styles->add_data('thickbox');
		$wp_styles->add_data('jquery-ui');
		$wp_styles->add_data('jquery.countdown');
		$wp_styles->add_data('themes.megaticker');
		$wp_styles->add_data('jquery.simplemodal');
		$wp_styles->add_data('jquery.colorpicker');
		$wp_styles->add_data('jquery.jtimepicker');
		$wp_styles->add_data('admin.megaticker');*/
		
		
	
	}
	
	
	function megaticker_add_admin_js_files()
	{
		wp_enqueue_script('jquery');
		wp_enqueue_script('farbtastic');
		wp_enqueue_script('jquery-ui-core');
		wp_enqueue_script('jquery-ui-widget');
		wp_enqueue_script('jquery-ui-accordion');
		wp_enqueue_script('jquery-ui-datepicker');
	 
		 	 
		
		
		wp_enqueue_script('media-upload');
		wp_enqueue_script('thickbox');
		
		wp_enqueue_script( 'jquery.hoverintent', plugins_url('js/jquery.hoverintent.js', __FILE__ ),array('jquery'));
		wp_enqueue_script( 'jquery.bgiframe', plugins_url('js/jquery.bgiframe.js', __FILE__ ),array('jquery'));
		wp_enqueue_script( 'excanvas', plugins_url('js/excanvas.js', __FILE__ ),array('jquery'));
		wp_enqueue_script( 'jquery.easing', plugins_url('js/jquery.easing.js', __FILE__ ),array('jquery'));
		wp_enqueue_script( 'jquery.bt', plugins_url('js/jquery.bt.js', __FILE__ ),array('jquery'));
		
		
		wp_enqueue_script( 'jquery-ui-combobox', plugins_url('js/jquery-ui.combobox.js', __FILE__ ),array('jquery','jquery-ui-tabs', 'jquery-ui-slider'));
		wp_enqueue_script( 'jquery.validate', plugins_url('js/jquery.validate.js', __FILE__ ),array('jquery'));
		wp_enqueue_script( 'jquery.jtimepicker', plugins_url('js/jquery.jtimepicker.js', __FILE__ ),array('jquery'));
		wp_enqueue_script( 'functions.megaticker', plugins_url('js/functions.megaticker.js', __FILE__ ),array('jquery'));
		
		wp_enqueue_script( 'jquery.countdown', plugins_url("js/jquery.countdown.js", __FILE__ ),array('jquery'));

		if (file_exists(MEGATICKER_APPPATH."/js/jquery.countdown.languages/jquery.countdown-".get_locale().".js"))
			wp_enqueue_script( 'jquery.countdown.lang', plugins_url("js/jquery.countdown.languages/jquery.countdown-".get_locale().".js", __FILE__ ),array('jquery', 'jquery.countdown'));
		
		wp_enqueue_script( 'admin.megaticker', plugins_url('js/admin.megaticker.js', __FILE__ ),array(
			'jquery',
			'media-upload',
			'thickbox',
			'jquery-ui-core',
			'farbtastic',
			'jquery.validate',
			'jquery.jtimepicker',
			'functions.megaticker',
			'jquery.countdown'
		));
		
	}
	
	
	
	function megaticker_front_register_head()
	{
		global $megatickerLoaded;
		
		if (!$megatickerLoaded['megaticker_front_register_head']) {
			$megatickerLoaded['megaticker_front_register_head'] = true;
			
			wp_enqueue_style('jquery.countdown', plugins_url('css/jquery.countdown.css', __FILE__ ));
			wp_enqueue_style('themes.megaticker', plugins_url('css/themes.megaticker.css', __FILE__ ));
			wp_enqueue_style('jquery.simplemodal', plugins_url('css/jquery.simplemodal.css', __FILE__ ));
			
			if (isset($_SERVER['HTTP_USER_AGENT']) && stristr($_SERVER['HTTP_USER_AGENT'], 'msie'))
				wp_enqueue_style('jquery.simplemodal-ie', plugins_url('css/jquery.simplemodal-ie.css', __FILE__ ));
			
			wp_enqueue_style('front.megaticker', plugins_url('css/front.megaticker.css', __FILE__ ));
			
			
			echo "
				<script type='text/javascript'>
					if (typeof(MegaTicker) == 'undefined')
						var MegaTicker = {};
					
					MegaTicker.tickers = [];
				</script>
			";
			
		}
	}
	

	function megaticker_add_front_js_files()
	{
		global $megatickerLoaded;
		
		if (!$megatickerLoaded['megaticker_add_front_js_files']) {

			$megatickerLoaded['megaticker_add_front_js_files'] = true;
			
			wp_enqueue_script('jquery');
			wp_enqueue_script( 'jquery.countdown', plugins_url("js/jquery.countdown.js", __FILE__ ),array('jquery'));
			wp_enqueue_script( 'jquery.simplemodal', plugins_url("js/jquery.simplemodal.js", __FILE__ ),array('jquery'));
			
			if (file_exists(MEGATICKER_APPPATH."/js/jquery.countdown.languages/jquery.countdown-".get_locale().".js"))
				wp_enqueue_script( 'jquery.countdown.lang', plugins_url("js/jquery.countdown.languages/jquery.countdown-".get_locale().".js", __FILE__ ),array('jquery', 'jquery.countdown'));
			
			wp_enqueue_script( 'front.megaticker', plugins_url("js/front.megaticker.js", __FILE__ ),array(
				'jquery',
				'jquery.countdown',
				'jquery.simplemodal',
				'jquery.countdown.lang'
			));
			
		}
		
	}
	
