<?php if (!defined('WPINC')) die();
	
	
	function megatickerRegistration()
	{
		global $notify, $wp_version;
		
		$required = array(
			'email',
			'password'
		);
		foreach($_POST as $k => $v)
		{
			if (in_array($k,$required))
			{
				if (!$v)
					$notify->returnError(__('Please, set email and password','megaticker'));
				
				$_POST[$k] = sanitize_text_field($v);
			}
			else
				unset($_POST[$k]);
		}

		
		if (!get_option('megaticker__activation_code') && $_POST['email'] && $_POST['password'])
		{
			try {
			 
			 	if( !class_exists( 'WP_Http' ) )
				    include_once( ABSPATH . WPINC. '/class-http.php' );
				
				$http = new WP_Http();
			    $http->request(MTSS_RECIVER, array( 'method' => 'POST', 'body' => array(
					'operation' => 'registration',
					'domain' => $_SERVER['HTTP_HOST'],
					'ip' => $_SERVER['SERVER_ADDR'],
					'php_version' => PHP_VERSION,
					'wp_version' => $wp_version,
					'wp_language' => WPLANG,
					'plugin_version' => MEGATICKER_VERSION,
					'plugin_edition' => MEGATICKER_EDITION,
					'plugin_activation_code' => get_option('megaticker__activation_code'),
				)));
				 
				$response = $http->request(MTSS_RECIVER, array( 'method' => 'POST', 'body' => array(
					'domain' => $_SERVER['HTTP_HOST'],
					'email' => $_POST['email'],
					'password' => $_POST['password'],
				)));
				$response = json_decode($response['body'], true);
				
				if (!$response['error'] && $response['activation_code'])
				{
					update_option('megaticker__activation_code', $response['activation_code']);
					update_option('megaticker__registered_to_email', $_POST['email']);
					update_option('megaticker__registered_on_domain', $_SERVER['HTTP_HOST']);
					
					$notify->setComeback(admin_url('admin.php?page=megaticker/megaticker.php',false));
					$notify->returnSuccess(__('Thank you, you\'r copy registered now.','megaticker'));
				}
				else
					$notify->returnError(__('Sorry, order for you credentials not found.','megaticker'));
				
			} catch(Exception $e) {
				$notify->returnError(__('Sorry, registration was unsuccessfull due to some connection issues. Please try again.','megaticker'));
			}
		}
	}
	
	
	function showRegistration()
	{
		global $notify;
		
		include_once(MEGATICKER_APPPATH.'/views/registration.php');
	}
