<?php if (!defined('WPINC')) die();

	function megatickerAddButtons()
	{
		// Don't bother doing this stuff if the current user lacks permissions
		if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
			return;
	 
		// Add only in Rich Editor mode
		if ( get_user_option('rich_editing') == 'true') {
			add_filter("mce_external_plugins", "add_megaticker_tinymce_plugin");
			add_filter('mce_buttons', 'register_megaticker_button');
		}
		else
			add_filter('mce_buttons', 'register_megaticker_button');
	}
	 
	function register_megaticker_button($buttons) {
		array_push($buttons, "separator", "MegaTickerShortCode");
		return $buttons;
	}
	 
	// Load the TinyMCE plugin : editor_plugin.js (wp2.5)
	function add_megaticker_tinymce_plugin($plugin_array) {
		$plugin_array['MegaTickerShortCode'] = get_option('siteurl')."/wp-content/plugins/megaticker/js/editor_plugin.megaticker.js";
		return $plugin_array;
	}
