(function() {
	tinymce.create('tinymce.plugins.MegaTickerShortCode', {
		init : function(ed, url) {
			//add keyboard shortcut control
			ed.addShortcut('ctrl+t+i', 'ctrl+t+i', 'MegaTickerShortCode');
			// Register commands
			ed.addCommand('MegaTicker', function() {
				
				ed.windowManager.open({
					file : url + '/../popup.megaticker.php',
					width : 650,
					height : 500,
					inline : 1
				}, {
					baseURL : url
				});

				
			});

			// Register buttons
			ed.addButton('MegaTickerShortCode', {title : MegaTickerLANG['Add ticker'], image : url + '/../img/ticker32.png', cmd : 'MegaTicker'});
			
		},
		getInfo : function() {
			return {
				longname : 'MegaTicker',
				author : 'AntonGorodezkiy',
                authorurl : 'http://kozachek.net/',
                infourl : 'http://kozachek.net/',
                version : "1.0"
			};
		}
	});
	// Register plugin
	tinymce.PluginManager.add('MegaTickerShortCode', tinymce.plugins.MegaTickerShortCode);
})();