<?php

class MegaTicker_FormSaver {

	public static function current_url() {
		// (c) http://bolzamo.org.ru/239/
		if(!isset($_SERVER['REQUEST_URI']))    $suri = $_SERVER['PHP_SELF'];
		else $suri = $_SERVER['REQUEST_URI'];
		$s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : "";
		$sp=strtolower($_SERVER["SERVER_PROTOCOL"]);
		$pr =    substr($sp,0,strpos($sp,"/")).$s;
		$pt = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]);
		return $pr."://".$_SERVER['SERVER_NAME'].$pt.$suri;
	}

	public static function form_value($name)
	{
		$form = (array)$_SESSION['form_'.md5(self::current_url())];
		
		return isset($form[$name]) ? $form[$name] : '';
	}
	
	public static function form_values($fields = array())
	{
		$form = array();
		if (isset($_SESSION['form_'.md5(self::current_url())]))
			$form = (array)$_SESSION['form_'.md5(self::current_url())];
		
		if (count($fields)) {
			$result = array();
			foreach($fields as $name)
				$result[$name] = isset($form[$name]) ? $form[$name] : '';
		} else {
			$result = $form;
		}
		
		return $result;
	}
	
	
	public static function hold_form_values($fields)
	{
		$referer = $_SERVER['HTTP_REFERER'];
		
		if (count($fields) && $referer)
		{
			$form = array();
			
			foreach($fields as $field)
			{
				$form[$field] = sanitize_text_field($_POST[$field]);
			}

			$_SESSION['form_'.md5($referer)] = $form;
			
			return true;
		}
		else
			return false;
	}
	
	
	public static function clear_form_values()
	{
		$referer = $_SERVER['HTTP_REFERER'];
		
		if ($referer)
		{
			unset($_SESSION['form_'.md5($referer)]);
			
			return true;
		}
		else
			return false;
	}
}