<?php include(dirname(__FILE__).'/css.megaticker.php');
	
	// needed for custom pages
		megaticker_add_front_js_files();
		megaticker_front_register_head();
		wp_print_styles();
		wp_print_scripts();
		//megaticker_add_front_js_files_inline();
		//megaticker_front_register_head_inline();
?>

<?php
	if (
		  ($ticker['campaign_type'] != 'first_visit_only')
		  && (
				$ticker['event_on_finish'] == 'redirect'
				or $ticker['event_on_finish'] == 'splash_and_redirect'
			)
	) { ?>
		<meta id="tickerMeta" http-equiv="refresh" content="<?=($ticker['time_to_redirect']+$ticker['redirect_timeout'])?>; url=<?=$ticker['redirect_url']?>" />
<?php } ?>
	<meta http-equiv="cache-control" content="max-age=0, must-revalidate" />
	<meta http-equiv="cache-control" content="max-age=0, proxy-revalidate" />

<?php
	$height = str2int($ticker['splash_css']['height']);
	$height_unit = str_ireplace($height,'',$ticker['splash_css']['height']);
	if (!$height_unit)
		$height_unit = 'px';
	
	$width = str2int($ticker['splash_css']['width']);
	$width_unit = str_ireplace($width,'',$ticker['splash_css']['width']);
	if (!$width_unit)
		$width_unit = 'px';
?>

<script type="text/javascript">
	if (typeof(MegaTicker['modal-<?=$ticker['id']?>']) == 'undefined')
	{
		MegaTicker['modal-<?=$ticker['id']?>'] = {};
		MegaTicker['modal-<?=$ticker['id']?>'].shown = false;
	}
		
	
	(function($) {
		
		<?php if ($ticker['campaign_type'] == 'first_visit_only' && $ticker['event_on_finish'] != 'redirect') { ?>
			$(window).hover(function() {},
			function() {
				
				if (!MegaTicker['modal-<?=$ticker['id']?>'].shown)
				{
					MegaTicker['modal-<?=$ticker['id']?>'].shown = true;
					
					jQuery('.ticker-modal-<?=$ticker['id']?>:first').modal({
						autoResize: true,
						close: true,
						maxHeight: '<?=$height?>',
						maxWidth: '<?=$width?>'
					});
				}
			
			});
		<?php } else {  ?>
		
			MegaTicker.tickers.push(
				{
					id: '<?=$ticker['id']?>',
					animation: '<?=$ticker['animation_type']?>',
					until: <?=$ticker['until']?>,
					timerEnd: function() {
						
						<?php if ($ticker['event_on_finish'] == 'splash' or $ticker['event_on_finish'] == 'splash_and_redirect') { ?>
							if (!MegaTicker['modal-<?=$ticker['id']?>'].shown)
							{
								MegaTicker['modal-<?=$ticker['id']?>'].shown = true;
								
								jQuery('.ticker-modal-<?=$ticker['id']?>:first').modal({
									autoResize: true,
									close: true,
									maxHeight: '<?=$height?>',
									maxWidth: '<?=$width?>'
								});
							}
						<?php } ?>
						
						<?php if ($ticker['event_on_finish'] == 'redirect') { ?>
							window.location = '<?=$ticker['redirect_url']?>';
						<?php } elseif ($ticker['event_on_finish'] == 'splash_and_redirect') { ?>
							setTimeout(function(){
								window.location = '<?=$ticker['redirect_url']?>';
							},<?=$ticker['redirect_timeout']?>*1000);
						<?php } ?>
					}
				}
			);
			
		<?php } ?>
	})(jQuery);
</script>



<div class="ticker-modal ticker-modal-<?=$ticker['id']?>" style="<?=$ticker['splash_css_string']?>; width: <?=$width.$width_unit?>; height: <?=$height.$height_unit?>;">
	<?php if($ticker['splash_type'] == 'image') {
		$height = ($height).$height_unit;
		$width = ($width).$width_unit;
		?>
		<img style="" src="<?=$ticker['splash_url']?>" alt="MegaTicker image" style="border: 0; max-height: <?=$height?>; max-width: <?=$width?>;"/>
	<?php } elseif($ticker['splash_type'] == 'webpage') {
		$height = ($height).$height_unit;
		$width = ($width).$width_unit;
		?>
		<iframe src="<?=$ticker['splash_url']?>" style="border: 0; height: <?=$height?>; width: <?=$width?>;"></iframe>
	<?php } elseif($ticker['splash_type'] == 'youtube') {
		$height = ($height-60).$height_unit;
		$width = ($width-35).$width_unit;
		?>
		<iframe src="<?=$ticker['splash_url']?>" frameborder="0" allowfullscreen="true" style="border: 0; height: <?=$height?>; width: <?=$width?>;"></iframe>
	<?php } ?>
</div>
<div class="ticker-<?=$ticker['id']?>" class="<?=$ticker['theme']?> <?=$ticker['animation_type']?>"></div>
