<?php if (!defined('WPINC')) die(); ?>

<div class="wrap ticker <?=(get_option('megaticker__activation_code') ? 'registered' : 'unregistered')?>">
        
	<div id="icon-campaigns" class="icon32"></div>
	<h2>
		<?= $id ? __('Edit Counter', 'megaticker') : __('Add Counter', 'megaticker')?> <?=$name?>
	</h2>
	<?=$notify->getMessages()?>
	<div class="campaigns">
		
		<div class="ticker-content">
			<form class="ticker-bl counter_preview_form" method="post">
				
				<input type="hidden" name="id" value="<?=$id?>" />
				<input type="hidden" name="action" value="save_counter" />
				<?php wp_nonce_field( 'save_counter', 'ticker' ) ?> 
				
				<div class="accordion">
				
					<h3><a href="#"><?=__('Info','megaticker')?></a></h3>
					<div>
						<div class="p">
							<label class="label"><?=__('Counter name', 'megaticker')?></label>
							<div class="inputs">
								<input type="text" name="name" value="<?=$name?>" required="required"/>
							</div>
							<div class="clear"></div>
						</div>
					</div>
					
					<h3><a href="#"><?=__('Parts','megaticker')?></a></h3>
					<div>
						<div class="p">
							<label class="label">
								<?=__('Countdown visibility', 'megaticker')?>
							</label>
							<div class="inputs">
								<label>
									<input type="checkbox" <?=$show_countdown ? 'checked="checked"' : ''?> name="show_countdown" value="1" />
									<?=__('Show countdown', 'megaticker')?>
								</label>
							</div>
							<div class="clear"></div>
						</div>
						
						<div class="p">
							<label class="label">
								<?=__('Labels visibility', 'megaticker')?>
							</label>
							<div class="inputs">
								<label>
									<input type="checkbox" <?=$show_labels ? 'checked="checked"' : ''?> name="show_labels" value="1" />
									<?=__('Show labels', 'megaticker')?>
								</label>
							</div>
							<div class="clear"></div>
						</div>
						
						<div class="p">
							<label class="label">
								<?=__('Counter parts visibility', 'megaticker')?>
							</label>
							<div class="inputs">
								<label>
									<input type="checkbox" <?=$show_days ? 'checked="checked"' : ''?> name="show_days" value="1" />
									<?=__('Show days', 'megaticker')?>
								</label>
								<label>
									<input type="checkbox" <?=$show_hours ? 'checked="checked"' : ''?> name="show_hours" value="1" />
									<?=__('Show hours', 'megaticker')?>
								</label>
								<label>
									<input type="checkbox" <?=$show_minutes ? 'checked="checked"' : ''?> name="show_minutes" value="1" />
									<?=__('Show minutes', 'megaticker')?>
								</label>
								<label>
									<input type="checkbox" <?=$show_seconds ? 'checked="checked"' : ''?> name="show_seconds" value="1" />
									<?=__('Show seconds', 'megaticker')?>
								</label>
							</div>
							<div class="clear"></div>
						</div>
					</div>
					
				<!--THEME-->
					<h3><a href="#"><?=__('Theme','megaticker')?></a></h3>
					<div>
						<div class="p">
							<label class="label"><?=__('Theme', 'megaticker')?></label>
							<div class="inputs digits_examples">
								<?php foreach($themes as $class => $th) { ?>
									<label class="MegaTickerPROOption">
										<div class="themeName">
											<input class="theme_change_activator" type="radio" name="theme" <?=$theme == $class ? 'checked="checked"' : ''?> value="<?=$class?>" />
											<?=$th['title']?>
										</div>
										<!--<div class="countdown <?=$class?>">
											<div class="countDays Days near">
												<div class="digits">
													
														<div class="position">
															<span class="digit static"><?=mt_rand(0,9)?></span>
														</div>
		
														<div class="position">
															<span class="digit static"><?=mt_rand(0,9)?></span>
														</div>
		
													<div class="clear"></div>
												</div>
											</div>	
											
										</div>-->
									</label>

									<script type="text/javascript">
										if (typeof(MegaTicker) == 'undefined')
										{
											var MegaTicker = {};
											MegaTicker.themes = [];
										}
										MegaTicker.themes['<?=$class?>'] = <?=json_encode($th)?>;
									</script>
								<?php } ?>
								<div class="clear"></div>
							</div>
							
							<div class="p">
								<label class="label"><?=__('Background type', 'megaticker')?></label>
								<div class="inputs MegaTickerPROOption">
									<select name="background_type">
										<option <?=$background_type == '' ? 'selected="selected"' : ''?> value=""><?=__('Transparent','megaticker')?></option>
										<?php foreach($backgroundTypes as $bt) { ?>
											<option <?=$background_type == $bt ? 'selected="selected"' : ''?> value="<?=$bt?>"><?=$bt?></option>
										<?php } ?>
									</select>
								</div>
								<div class="clear"></div>
							</div>
							
							<div class="clear"></div>
						</div>
					</div>
					
				<!--SIZE-->
					<h3><a href="#"><?=__('Size','megaticker')?></a></h3>
					<div>
						<div class="p size_control">
							<label class="label"><?=__('Size', 'megaticker')?></label>
							<div class="inputs width500">
								<select name="size" id="counter_size">
									<?php for($i=1; $i <= 10; $i++) { ?>
										<option <?=$size == $i ? 'selected="selected"' : ''?> value="<?=$i?>"><?=$i?></option>
									<?php } ?>
								</select>
							</div>
							<div class="clear"></div>
						</div>
						<div class="size_control_placeholder hidden"><?=__('This theme does not provide size changing','megaticker')?></div>
					</div>
					
					<h3><a href="#"><?=__('Colors','megaticker')?></a></h3>
					<div>
						<div class="p panels">
							<div class="panel-left digits_color_control">
								<label class="label"><?=__('Digits color', 'megaticker')?></label>
								<div class="inputs">
									<input type="text" name="digits_color" value="<?=$digits_color?>" id="digits_color" />
									<div class="color_preview" id="digits_color_preview"></div>
								</div>
								<div class="clear"></div>
							</div>
							<div class="p panel-right background_color_control">
								<label class="label"><?=__('Background color', 'megaticker')?></label>
								<div class="inputs">
									<input type="text" name="background_color" value="<?=$background_color?>"  id="background_color" />
									<div class="color_preview" id="background_color_preview"></div>
								</div>
								<div class="clear"></div>
							</div>
							<div class="clear"></div>
							<div class="digits_color_control_placeholder hidden"><?=__('This theme does not provide text color changing','megaticker')?></div>
							<div class="background_color_control_placeholder hidden"><?=__('This theme does not provide background color changing','megaticker')?></div>
						</div>
					</div>
					
					<h3><a href="#"><?=__('Animation','megaticker')?></a></h3>
					<div>
						<div class="p animation_type_control">
							<label class="label"><?=__('Animation type', 'megaticker')?></label>
							<div class="inputs">
								<select name="animation_type">
									<?php foreach($animationTypes as $at => $at_label) { ?>
										<option <?=$animation_type == $at ? 'selected="selected"' : ''?> value="<?=$at?>"><?=$at_label?></option>
									<?php } ?>
								</select>
							</div>
							<div class="clear"></div>
						</div>
						<div class="animation_type_control_placeholder hidden"><?=__('This theme does not provide animation type changing','megaticker')?></div>
					</div>
					
				</div>
				
				<div class="p buttons">
					<button class="button-primary" type="submit"><?=__('Save', 'megaticker')?></button>
					<a class="button-secondary" href="<?=menu_page_url('megaticker/megaticker.php?counters',false)?>"><?=__('Cancel', 'megaticker')?></a>
				</div>
				
			</form>
			
			<div class="preview ticker-bl">
				<h3><?=__('Preview', 'megaticker')?>:</h3>
				
				<div class="content"></div>
				<div class="clear"></div>
			</div>
		
		</div>
		
		<?php include_once(MEGATICKER_APPPATH.'/views/right_menu.php'); ?>
		
		<div class="clear"></div>
	</div>
	
</div>
